Copy a lot
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
response = http.request(request)
puts response.read_body{
"property": {
"public_uid": "LT-3524823",
"project_uid": "PJ-1234567",
"lot_number": null,
"unit_number": null,
"street_number": null,
"street_address": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"land_width": null,
"land_length": null,
"land_area": null,
"land_price": 0,
"developer": null,
"land_reg_date": "Registered",
"title_type": null,
"title_fees": 0,
"builds_count": 2
}
}Stock / Lots
Copy a lot
Creates a new lot from this one.
POST
/
{agency_uid}
/
lots
/
{lot_id}
/
clones
Copy a lot
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/lots/{lot_id}/clones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
response = http.request(request)
puts response.read_body{
"property": {
"public_uid": "LT-3524823",
"project_uid": "PJ-1234567",
"lot_number": null,
"unit_number": null,
"street_number": null,
"street_address": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"land_width": null,
"land_length": null,
"land_area": null,
"land_price": 0,
"developer": null,
"land_reg_date": "Registered",
"title_type": null,
"title_fees": 0,
"builds_count": 2
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/x-www-form-urlencoded
The body is of type object.
Response
201 - application/json
Created
Show child attributes
Show child attributes